Package com.sas.lsaf.clinical.tlftemplate

## Interface TlfTemplateService

-     public interface TlfTemplateService

  Service for managing TLF templates.
  Since:
    2.5

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TlfTemplate` | `createTlfTemplate​(java.lang.String name, java.lang.String description)` | Creates a TLF template.
    `java.util.Set<java.lang.String>` | `exportTlfsToDataSets​(java.lang.String tlfTemplateId, BatchFileCreateInfo fileCreateInfo, boolean includeAnalysisResults)` | Exports to data sets the global Tables, Listings, and Figures (TLF) metadata for a specified TLF template.
    `java.util.Set<TlfTemplate>` | `getTlfTemplates()` | Gets the TLF templates.
    `TlfUpdateResult` | `importTlfsToTlfTemplate​(TlfTemplateImportInfo importInfo, ExportFileCreateInfo validationInfo)` | Updates the Tables, Listings, and Figures (TLF) from the import files to the TLF template specified.

- - ### Method Detail

    - #### createTlfTemplate

          TlfTemplate createTlfTemplate​(java.lang.String name,
                                        java.lang.String description)
                                 throws TlfTemplateExistsException

      Creates a TLF template.
      Parameters:
        `name` - The name of the TLF template.
        `description` - The description of the TLF template.
      Returns:
        The created TLF template.
      Throws:
        `TlfTemplateExistsException` - Thrown when a TLF template by the name exists.

    - #### getTlfTemplates

          java.util.Set<TlfTemplate> getTlfTemplates()

      Gets the TLF templates.
      Returns:
        The TLF templates.

    - #### exportTlfsToDataSets

          java.util.Set<java.lang.String> exportTlfsToDataSets​(java.lang.String tlfTemplateId,
                                                               BatchFileCreateInfo fileCreateInfo,
                                                               boolean includeAnalysisResults)
                                                        throws TlfTemplateNotFoundException,
                                                               ExportException

      Exports to data sets the global Tables, Listings, and Figures (TLF) metadata for a specified TLF template. The names include the prefix specified on the `path` variable in `BatchFileCreateInfo` and these suffixes, which represent sections and TLFs:
      - _sect
      - _tlf

      If you specify true to include analysis results and data sets, two additional data sets are created (four total):

      - _sect
      - _tlf
      - _rslt
      - _rdat

      Parameters:
        `tlfTemplateId` - The unique identifier of the TLF template.
        `fileCreateInfo` - The method to add the exported data set.
        `includeAnalysisResults` - Indicates whether to include analysis results and data sets.
      Returns:
        The paths to the exported data sets.
      Throws:
        `TlfTemplateNotFoundException` - Thrown when the specified TLF template does not exist.
        `ExportException` - Thrown when there is an issue exporting the metadata.

    - #### importTlfsToTlfTemplate

          TlfUpdateResult importTlfsToTlfTemplate​(TlfTemplateImportInfo importInfo,
                                                  ExportFileCreateInfo validationInfo)
                                           throws TlfTemplateNotFoundException,
                                                  TlfUpdateException,
                                                  ImportException,
                                                  ValidationReportException

      Updates the Tables, Listings, and Figures (TLF) from the import files to the TLF template specified. Import requires a file for sections and a file for TLFs although you can also specify files for results and result data sets. A validation report can be created that lists errors, warnings, and notes found when processing the import file. The import files must be SAS data sets (.sas7bdat).
      Parameters:
        `importInfo` - The import information.
        `validationInfo` - The method to create a validation report, which contains errors, warnings, and notes about the import file. Specifying null indicates that no report is saved.
      Returns:
        The import results.
      Throws:
        `TlfTemplateNotFoundException` - Thrown when the specified TLF template does not exist.
        `TlfUpdateException` - Thrown when the TLFs cannot be updated.
        `ImportException` - Thrown when there is an issue importing the file.
        `ValidationReportException` - Thrown when the validation report cannot be created.